## ruari-diff 0.15

=== debian/changelog ===
ruari-diff (0.15) unstable; urgency=low

  * debian/copyright: correct reference to now uncompressed GPL in
    /usr/doc/copyright.
  * debian/copyright: correct the FSF's address.
  * debian/copyright: refer to ruari-diff source package, not hello.
  * debian/copyright: acknowledge origin of dpkg-cribbed code.
  * debian/control (Standards-Version): updated to 2.4.0.0.
  * debian/control (Description): rewritten.
  * debian/rules (build): compile with -g.
  * debian/rules: replace $(package) with string-literal.
  * debian/rules (binary-arch): use `install -m 644' in place of `cp'.
  * debian/rules (binary-arch): use `chmod -R go=rX' in place of 
    `chmod -R g-ws'.
  * debian/rules: other minor cleanups; no longer uses {,}.
  * ruari-diff.1: new file.
  * debian/rules (binary-arch): install new manpage.

 -- James Troup <jjtroup@comp.brad.ac.uk>  Mon,  2 Mar 1998 07:27:12 +0000

ruari-diff (0.14) unstable; urgency=low

  * Initial release.

 -- James Troup <jjtroup@comp.brad.ac.uk>  Sat,  1 Nov 1997 23:43:30 +0100

Local variables:
mode: debian-changelog
End:
