=== debian/control ===
Source: ruari-diff
Section: utils
Priority: optional
Maintainer: James Troup <jjtroup@comp.brad.ac.uk>
Standards-Version: 2.4.0.0

Package: ruari-diff
Architecture: any
Depends: ${shlibs:Depends}
Description: Compares packages installed with packages available
 Ruari Diff compares dpkg's status file and a Packages file from a
 Debian ftp site and tells you which packages could be updated.
